<!DOCTYPE HTML>
<html>

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
	<title>
		ImagePicker
	</title>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free@5.15.3/css/fontawesome.min.css">
	
	<link href="static/libs/tabulator-tables/dist/css/tabulator.min.css" rel="stylesheet">

</head>
<body>
	<div class="container-lg">
	<div class="row justify-content-center">
	    <div class="col-lg-auto justify-content-center center-block">
	    <h2>Image Picker</h2><br>
		<label for="get-files"><i class="bi-upload"></i>&nbsp; Select data files: </label>
        <input type="file" id="get-files" accept="image/*" multiple></input>
	    <button id="clear" class="btn btn-dark">Clear</button>
	    <br>
	    <br>
	       
	    <form action="#" method="post" class="demoForm" id="demoForm">
			<i class="bi-tools"></i>&nbsp; Tools:
	        <input type="radio" id="rect" name="pickwhat" value="rect" checked>
	        <label for="rect"><i class="bi-square"></i>&nbsp;Rectangle</label>
	        <input type="radio" id="pencil" name="pickwhat" value="pencil" >
	        <label for="pencil"><i class="bi-pencil"></i>&nbsp;Pencil</label>
	        <input type="radio" id="point" name="pickwhat" value="point" >
	        <label for="point"><i class="bi-circle-fill"></i>&nbsp;Point</label>
	        <input type="radio" id="distance" name="pickwhat" value="distance">
	        <label for="distance"><i class="fa fa-ruler"></i>&nbsp;Distance</label>
	        <input type="radio" id="angle" name="pickwhat" value="angle" >
	        <label for="angle"><i class="fa fa-ruler-combined"></i>&nbsp;Angle</label>
	        
	        <label for="drawcolor">&nbsp; Draw color:</label>
	        <input type="color" id="drawcolor" name="drawcolor" value="#A6FF00"><br>
	        <div class="controls">
	        	
	         	<label for="sliderF"><i class="bi-images"></i>&nbsp;Image:</label>
	         	<input type="range" min="0" max="0" value="0"  id="sliderF"><label id="valueF"></label>&nbsp;
	         	<label for="sliderZoom"><i class="bi-zoom-in"></i>&nbsp;Zoom:</label>
	         	<input type="range" min="0.5" max="3" value="1" step="0.25"  id="sliderZoom"><label id="valueZoom">100%</label>
	         </div>
	         <br>
	         <div class="controls">
	         	<label for="gridSelect"><i class="bi-grid-3x3"></i>&nbsp;Grid:</label>
	         	<input type="checkbox" id="gridSelect" name="gridSelect" value="gridSelect">&nbsp;
	         	<label for="gridRes"><i class="bi-arrows-angle-expand"></i>&nbsp;Grid Resolution:</label>
	         	<input type="range" id="gridRes" min="20" max="200" step="10" value="50"/><label id="valueGridRes">50px</label>
	         	<label for="gridColor">&nbsp; Grid color:</label>
	         	<input type="color" id="gridColor" name="gridColor" value="#00FFE2">
	         </div><br>
	         <label>X-Resolution: <input type="text" id="xRes" class="num" size="7" value="0.0 &mu;m" style="text-align:right;" /></label>
	         <label>Y-Resolution: <input type="text" id="yRes" class="num" size="7" value="0.0 &mu;m" style="text-align:right;" /></label>
	         <label>X-Dimension: <input type="text" id="xDim" class="num" size="7" value="0.0 &mu;m" style="text-align:right;" /></label>
	         <label>Y-Dimension: <input type="text" id="yDim" class="num" size="7" value="0.0 &mu;m" style="text-align:right;" /></label><br>
	         <label>Distance: <input type="text" id="distanceDisp" class="num" size="7" value="0.0" style="text-align:right;" readonly="readonly" /></label>
	         <label>Angle: <input type="text" id="angleDisp" class="num" size="7" value="0.0" style="text-align:right;" readonly="readonly" /></label>
	    </form>
	    </div>
	    </div>
	</div>     
	<div class="container-fluid">
	  	<div class="row justify-content-center">
	  		<div class="col-lg-auto col-md-12">
			    <div class="wrapper" id="canvasWrapper" style="position: relative; width: 400px; height: 400px;">
					<canvas id="images" width='400' height='400' style="position: absolute; top: 15;left: 15; border:1px solid #000FFF;"></canvas>
					<canvas id="drawing" width='400' height='400' style="position: absolute; top: 15;left: 15; border:1px solid #000000;"></canvas>
				</div>
			</div>
			<div class="col-lg-4 col-md-12">
				<div id="measurement-table" style="position: relative; width: 400px;"></div>
				<div>
					<button id="delete-rows">Delete selected rows</button>
			        <button id="download-csv">Download CSV</button>
			        <button id="download-xlsx">Download XLSX</button>
			        <button id="download-pdf">Download PDF</button>
			        <button id="download-html">Download HTML</button>
			    </div>
			</div>
		</div>
	</div>	
		<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"></script>

        <script type="text/javascript" src="https://oss.sheetjs.com/sheetjs/xlsx.full.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.5/jspdf.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf-autotable/3.0.5/jspdf.plugin.autotable.js"></script>
        <script type="text/javascript" src="static/libs/tabulator-tables/dist/js/tabulator.min.js"></script>
		<script src="static/libs/tiff.js/tiff.min.js"></script>
		<script type="module" src="static/canvas_paint.js"></script>
		<script type="module" src="static/libs/exifreader/dist/exif-reader.js"></script>
        


        
        
</body>
</html>        

